package supply

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
	"git.oa00.com/supply-chain/service/lib/bean"
)

type skuAudit struct {
}

type ArgsSkuAuditLists struct {
	Search SkuAuditSearch
	Page   bean.Page
}

type SkuAuditSearch struct {
}
type SkuAuditItem struct {
	Id uint `json:"id"`
}
type ReplySkuAuditLists struct {
	Lists []SkuAuditItem `json:"lists"`
	Total int64          `json:"total"`
}

// Lists @Title 审核列表
func (s *skuAudit) Lists(ctx context.Context, args ArgsBrandList) (result ReplySkuAuditLists, err error) {
	err = client.GetClient(s).Call(ctx, "Lists", args, &result)
	return
}

type ArgsSkuAuditAdopt struct {
	AuditUserId uint   // 审核人
	AuditIds    []uint // 审核单id
}

// Adopt @Title 通过
func (s *skuAudit) Adopt(ctx context.Context, args ArgsSkuAuditAdopt) error {
	reply := 0
	return client.GetClient(s).Call(ctx, "Adopt", args, &reply)
}

type ArgsSkuAuditReject struct {
	AuditUserId uint   // 审核人
	AuditIds    []uint // 审核单id
	Reason      string // 驳回原因
}

// Reject @Title 驳回
func (s *skuAudit) Reject(ctx context.Context, args ArgsSkuAuditReject) error {
	reply := 0
	return client.GetClient(s).Call(ctx, "Reject", args, &reply)
}

// Stock @Title 库存查询
func (s *skuAudit) Stock() {

}
